Bug 750730 - need help button support for each ime
Summary: need help button support for each ime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-indic-table
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 770059 770060 770062 770063
TreeView+ depends on / blocked
 
Reported: 2011-11-02 08:26 UTC by Pravin Satpute
Modified: 2015-04-12 23:11 UTC (History)
4 users (show)

Fixed In Version: ibus-indic-table-1.3.1-22.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-05 20:57:46 UTC


Attachments (Terms of Use)

Description Pravin Satpute 2011-11-02 08:26:40 UTC
Description of problem:
no provision for help, users need information regarding special combination to add new word, keymapping

Version-Release number of selected component (if applicable):
ibus-indic-table-1.3.1-14.fc15.noarch

How reproducible:
every-time

Steps to Reproduce:
1. select any IME, say marathi
2. check for help
3. 
  
Actual results:
No provision for help text/info

Expected results:
help must be there

Additional info:
IME's can support .txt file with them, ibus-indic-table should read it and display when user select particular IME and click help

Comment 1 Fedora Update System 2011-12-06 04:52:44 UTC
ibus-indic-table-1.3.1-17.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-17.fc15

Comment 2 Fedora Update System 2011-12-06 04:53:01 UTC
ibus-indic-table-1.3.1-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-17.fc16

Comment 3 Fedora Update System 2011-12-10 19:46:47 UTC
Package ibus-indic-table-1.3.1-17.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-indic-table-1.3.1-17.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16879/ibus-indic-table-1.3.1-17.fc15
then log in and leave karma (feedback).

Comment 4 Pravin Satpute 2011-12-12 09:09:30 UTC
Hi anish,

  Where to exactly add Help content in db .txt file?

Comment 5 anish 2011-12-12 10:03:17 UTC
Hi Pravin,

You need to add key value pairs in each phonetic IME's.
Inscript changes are already been done.
Please find changes for IME (marathi-phonetic) below:-

BEGIN_DEFINATION_INKEYS
  a:अ
  b:ब्
  c:च्
  d:द्
  e:ए
  f:फ़्
  g:ग्
  i:इ
  j:ज्
  l:ल्
  m:म्
  n:न्
  o:ओ
  p:प्
  q:क़्
  r:र्
  s:स्
  t:त
  u:उ
  v:व्
  w:व्
  x:x
  z:ज़्
END_DEFINATION _INKS

Comment 6 Fedora Update System 2011-12-20 07:27:16 UTC
ibus-indic-table-1.3.1-18.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-18.fc15

Comment 7 Fedora Update System 2011-12-20 07:27:43 UTC
ibus-indic-table-1.3.1-18.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-18.fc16

Comment 8 Pravin Satpute 2011-12-22 11:24:07 UTC
still i am not getting help content through about menu even with ibus-indic-table-1.3.1-18.fc16

Comment 9 Fedora Update System 2011-12-22 22:41:39 UTC
Package ibus-indic-table-1.3.1-18.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-indic-table-1.3.1-18.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17306/ibus-indic-table-1.3.1-18.fc16
then log in and leave karma (feedback).

Comment 10 Pravin Satpute 2011-12-23 11:25:38 UTC
still help contents are not appearing in about menu after install
but when we run,

 $python /usr/share/ibus-indic-table/engine/main.py --table /usr/share/ibus-indic-table/indic-tables/hindi-inscript.db

 it appearing properly.

Comment 11 Fedora Update System 2011-12-27 07:16:57 UTC
ibus-indic-table-1.3.1-19.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-19.fc15

Comment 12 Fedora Update System 2011-12-27 07:17:36 UTC
ibus-indic-table-1.3.1-19.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-19.fc16

Comment 13 Fedora Update System 2011-12-27 22:57:29 UTC
Package ibus-indic-table-1.3.1-19.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-indic-table-1.3.1-19.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17480/ibus-indic-table-1.3.1-19.fc16
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2012-01-02 10:34:41 UTC
ibus-indic-table-1.3.1-20.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-20.fc15

Comment 15 Fedora Update System 2012-01-02 10:35:33 UTC
ibus-indic-table-1.3.1-20.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-20.fc16

Comment 16 Fedora Update System 2012-01-03 09:36:44 UTC
ibus-indic-table-1.3.1-22.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-22.fc15

Comment 17 Fedora Update System 2012-01-03 09:37:32 UTC
ibus-indic-table-1.3.1-22.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-indic-table-1.3.1-22.fc16

Comment 18 Fedora Update System 2012-01-05 20:57:46 UTC
ibus-indic-table-1.3.1-22.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-01-05 21:07:01 UTC
ibus-indic-table-1.3.1-22.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.